(defproblem problem domain 
  (
    (visible waypoint1 waypoint0)
    (visible waypoint0 waypoint1)
    (visible waypoint2 waypoint1)
    (visible waypoint1 waypoint2)
    (visible waypoint2 waypoint3)
    (visible waypoint3 waypoint2)
    (visible waypoint3 waypoint1)
    (visible waypoint1 waypoint3)
    (at-rock-sample waypoint1)
    (at-soil-sample waypoint2)
    (at-soil-sample waypoint3)
    (at-rock-sample waypoint3)
    (at-lander general waypoint2)
    (channel-free general)
    (at rover0 waypoint3)
    (available rover0)
    (store-of rover0store rover0)
    (empty rover0store)
    (equipped-for-soil-analysis rover0)
    (equipped-for-imaging rover0)
    (can-traverse rover0 waypoint3 waypoint1)
    (can-traverse rover0 waypoint1 waypoint3)
    (at rover1 waypoint2)
    (available rover1)
    (store-of rover1store rover1)
    (empty rover1store)
    (equipped-for-soil-analysis rover1)
    (equipped-for-rock-analysis rover1)
    (equipped-for-imaging rover1)
    (can-traverse rover1 waypoint2 waypoint1)
    (can-traverse rover1 waypoint1 waypoint2)
    (can-traverse rover1 waypoint2 waypoint3)
    (can-traverse rover1 waypoint3 waypoint2)
    (can-traverse rover1 waypoint1 waypoint0)
    (can-traverse rover1 waypoint0 waypoint1)
    (on-board camera0 rover1)
    (calibration-target camera0 objective0)
    (supports camera0 colour)
    (supports camera0 high-res)
    (on-board camera1 rover0)
    (calibration-target camera1 objective0)
    (supports camera1 colour)
    (supports camera1 low-res)
    (on-board camera2 rover0)
    (calibration-target camera2 objective1)
    (supports camera2 low-res)
    (visible-from objective0 waypoint0)
    (visible-from objective0 waypoint1)
    (visible-from objective0 waypoint2)
    (visible-from objective0 waypoint3)
    (visible-from objective1 waypoint0)
    (visible-from objective1 waypoint1)
    (visible-from objective2 waypoint0)
    (visible-from objective2 waypoint1)
    (visible-from objective2 waypoint2)
    (type-camera camera0)
    (type-camera camera1)
    (type-camera camera2)
    (type-lander general)
    (type-mode colour)
    (type-mode high-res)
    (type-mode low-res)
    (type-object camera0)
    (type-object camera1)
    (type-object camera2)
    (type-object colour)
    (type-object general)
    (type-object high-res)
    (type-object low-res)
    (type-object objective0)
    (type-object objective1)
    (type-object objective2)
    (type-object rover0)
    (type-object rover0store)
    (type-object rover1)
    (type-object rover1store)
    (type-object waypoint0)
    (type-object waypoint1)
    (type-object waypoint2)
    (type-object waypoint3)
    (type-objective objective0)
    (type-objective objective1)
    (type-objective objective2)
    (type-rover rover0)
    (type-rover rover1)
    (type-sort-for-camera0 camera0)
    (type-sort-for-camera1 camera1)
    (type-sort-for-camera2 camera2)
    (type-sort-for-colour colour)
    (type-sort-for-general general)
    (type-sort-for-high-res high-res)
    (type-sort-for-low-res low-res)
    (type-sort-for-objective0 objective0)
    (type-sort-for-objective1 objective1)
    (type-sort-for-objective2 objective2)
    (type-sort-for-rover0 rover0)
    (type-sort-for-rover0store rover0store)
    (type-sort-for-rover1 rover1)
    (type-sort-for-rover1store rover1store)
    (type-sort-for-waypoint0 waypoint0)
    (type-sort-for-waypoint1 waypoint1)
    (type-sort-for-waypoint2 waypoint2)
    (type-sort-for-waypoint3 waypoint3)
    (type-store rover0store)
    (type-store rover1store)
    (type-waypoint waypoint0)
    (type-waypoint waypoint1)
    (type-waypoint waypoint2)
    (type-waypoint waypoint3)
  )
  ((x--top))
)
